import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';

import '../../../router/page/form_page_router.dart';
import '../../form/vm/form_view_model.dart';

@RoutePage()
class FormPage extends HookConsumerWidget {
  const FormPage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const FormPageRoute());
    } else {
      appRouter.push(const FormPageRoute());
    }
  }

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final _viewModel = ref.read(formViewModelProvider.notifier);

    return Scaffold(
      appBar: AppBar(title: Text("表单")),
      body: Center(
        child: Text("表单的主页面"),
      ),
    );
  }
}
